# Maintainer: Future Linux Team <future_linux@163.com>

pkgname=python-packaging
pkgver=21.3
pkgrel=2
pkgdesc="Core utilities for Python packages"
arch=('x86_64')
url="https://github.com/pypa/packaging"
license=('Apache')
depends=('python-pyparsing')
makedepends=('python-setuptools')
source=(https://github.com/pypa/packaging/releases/download/${pkgver}/${pkgname#*-}-${pkgver}.tar.gz)
sha256sums=(dd47c42927d89ab911e606518907cc2d3a1f38bbd026385970643f9c5b8ecfeb)

build() {
    cd ${pkgname#*-}-${pkgver}

    python3 setup.py build
}

package() {
    cd ${pkgname#*-}-${pkgver}

    python setup.py install --root=${pkgdir} --optimize=1
}
